Package org.pushingpixels.substance.internal.utils

# Class SubstanceColorResource

java.lang.Object
java.awt.Color
org.pushingpixels.substance.internal.utils.SubstanceColorResource

All Implemented Interfaces:
  `Paint`, `Transparency`, `Serializable`

public class SubstanceColorResource extends Color
This class is used to propagate a color set by the application code to the children / related components. For example, table and table header are two different components, but are visually two parts of the same user-facing control. Setting background on the table should be propagated to the table header - unless the application code explicitly changed the background color on the table header. This is where this class comes into play - to mark the propagated color so that it can be replaced when the table background is changed from the application code, but not reset during skin switch.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.awt.Color

`black, BLACK, blue, BLUE, cyan, CYAN, DARK_GRAY, darkGray, gray, GRAY, green, GREEN, LIGHT_GRAY, lightGray, magenta, MAGENTA, orange, ORANGE, pink, PINK, red, RED, white, WHITE, yellow, YELLOW`

### Fields inherited from interface java.awt.Transparency

`BITMASK, OPAQUE, TRANSLUCENT`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceColorResource(Color c)`
Creates a new Substance color resource.

## Method Summary

### Methods inherited from class java.awt.Color

`brighter, createContext, darker, decode, equals, getAlpha, getBlue, getColor, getColor, getColor, getColorComponents, getColorComponents, getColorSpace, getComponents, getComponents, getGreen, getHSBColor, getRed, getRGB, getRGBColorComponents, getRGBComponents, getTransparency, hashCode, HSBtoRGB, RGBtoHSB, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SubstanceColorResource

public SubstanceColorResource(Color c)
Creates a new Substance color resource.

Parameters:
  `c` - Color.